Add a note
Needs: Clients Read, and Read-write on Clients, Tasks or Roster (which one depends on the note type)
Adds a note like New note on the client's Notes tab. The type decides the fields: a General note needs Clients Read-write, a Task note needs Tasks Read-write and an Appointment note (a shift note) needs Roster Read-write. Use general unless the note is about a task or a shift.
Note: Task notes return
task:IDand appointment notes returnappointment:followed by the shift ref increated.
curl -X POST "https://app.imploy.com.au/api/integrations/v1/clients/123/notes" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"type": "general",
"notes": "<p>Phoned the client to confirm Monday's visit.</p>"
}'
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/clients/123/notes"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"type": "general",
"notes": "<p>Phoned the client to confirm Monday's visit.</p>"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/clients/123/notes", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"type": "general",
"notes": "<p>Phoned the client to confirm Monday's visit.</p>"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"type": "general",
"notes": "<p>Phoned the client to confirm Monday's visit.</p>"
}`)
req, err := http.NewRequest("POST", "https://app.imploy.com.au/api/integrations/v1/clients/123/notes", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/clients/123/notes')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"type": "general",
"notes": "<p>Phoned the client to confirm Monday's visit.</p>"
}'
response = http.request(request)
puts response.body
{
"created": "general:12"
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/clients/{client_id}/notesTarget server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The client id.
The media type of the request body
general, task or appointment.
The note. Plain text, or HTML using the note editor formatting. Needed for general and task notes.
General notes only. Links one of the client's single-client shifts, such as a:123.
Task notes only. One of the client's tasks. If you leave it out, the error lists the client's open tasks.
Task notes only. Defaults to General. General and appointment notes have no title.
Appointment notes only. The client's shift, such as a:123 or g:45.
Appointment notes. A list of segment_id and notes pairs, with segment ids from the shift's details.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
The client id.
Body
general, task or appointment.
The note. Plain text, or HTML using the note editor formatting. Needed for general and task notes.
General notes only. Links one of the client's single-client shifts, such as a:123.
Task notes only. One of the client's tasks. If you leave it out, the error lists the client's open tasks.
Task notes only. Defaults to General. General and appointment notes have no title.
Appointment notes only. The client's shift, such as a:123 or g:45.
Appointment notes. A list of segment_id and notes pairs, with segment ids from the shift's details.